@echo off

rem $Id$

call .\setCommonEnv.bat

set PATH=%PATH%;"%SERVER_HOME%\lib\native"

SET JAVA="%JAVA_HOME%\bin\java"

set JAVA_OPTS= %JAVA_OPTS% -Dcatalina.home="%SERVER_HOME%" -Dserver.home="%SERVER_HOME%" -Dlog.dir="%SERVER_HOME%" -Ddb.home="%DB_HOME%" -Djava.library.path="%SERVER_HOME%\lib\native" -Duser.language="en" -Dfile.encoding="utf8" -Djava.util.logging.manager="org.apache.juli.ClassLoaderLogManager" -Djava.util.logging.config.file="%SERVER_HOME%/conf/logging.properties"

set CLASS_PATH=%SERVER_HOME%\lib;%SERVER_HOME%\bin\run.jar;%SERVER_HOME%\lib\tomcat\commons-logging-api.jar;%JAVA_HOME%\lib\tools.jar;%SERVER_HOME%\lib\AdventNetNPrevalent.jar;%SERVER_HOME%\lib\AdventNetUpdateManagerInstaller.jar;%SERVER_HOME%\lib\tomcat\tomcat-juli.jar;

echo ===============================================================================
echo .
echo .
echo   SERVER_HOME: %SERVER_HOME%
echo .
echo   JAVA: %JAVA%
echo .
echo   JAVA_OPTS: %JAVA_OPTS%
echo .
echo .
echo ===============================================================================
echo .
%JAVA% %JAVA_OPTS% -cp "%CLASS_PATH%" com.adventnet.mfw.util.JdkAndPortCheck
if %errorlevel% NEQ 0 goto END


rem Application specific jars added in classpath
set JAVA_OPTS=%JAVA_OPTS% -Dcom.adventnet.la.showtray=true -Ddb.home=%DB_HOME% -DbcpBatchSize=20000  -DbcpNetSize=7680
set CLASS_PATH=%CLASS_PATH%;%SERVER_HOME%\lib\AdventNetSnmp.jar;%SERVER_HOME%\lib\SNMPDebugger.jar;%SERVER_HOME%\lib\LAClientUtil.jar;%SERVER_HOME%\lib\LATrayUtil.jar;%SERVER_HOME%\lib\trayicon.jar;%SERVER_HOME%\lib\mysql_connector.jar;%SERVER_HOME%\lib\jtds-1.2.jar


rem Check for WebServer Port update/change
set TROUBLESHOOT_LOCATE=%SERVER_HOME%\troubleshooting
call %TROUBLESHOOT_LOCATE%\updatePorts.bat


:RESTART
set SAFE_START="false"
IF "%1" == "-s" set SAFE_START="true"

rem <----------------- RESTART Command block ------------------------>
rem INSTRUCTIONS:
rem ------------
rem FOR BINDING THE APPLICATION TO SINGLE INTERFACE, uncomment the below RESTART command and replace <ip-address> with the ip-address to which you wants to bind the application and comment the existing RESTART command.

rem %JAVA% %JAVA_OPTS%  -cp "%CLASS_PATH%" com.adventnet.mfw.Starter %SAFE_START% -c default -b <ip-address>


%JAVA% %JAVA_OPTS%  -cp "%CLASS_PATH%" com.adventnet.mfw.Starter %SAFE_START%


IF ERRORLEVEL 0 IF NOT ERRORLEVEL 1 GOTO END_NO_PAUSE
IF ERRORLEVEL 10 GOTO RESTART

:END
if "%NOPAUSE%" == "" pause

:END_NO_PAUSE


