delete from SystemConfigurations where CONF_NAME='regenerateSQL';

delete from ReportBuildingBlockGroup where RBBGNAME IN('Proxy Virus Drill Down','Security View Squid Drill and Others','Squid Security report view');
delete from ReportBuildingBlock_7400 where (ReportBuildingBlock_7400.RBBNAME like "% Table%" or ReportBuildingBlock_7400.RBBNAME like "% Graph%" or ReportBuildingBlock_7400.RBBNAME like "%_anomaly") and (ReportBuildingBlock_7400.RBBNAME NOT like "Event Distribution Graph");
delete a.* from ReportBuildingBlock_7400 AS a inner join ReportBuildingBlockGroup AS b on a.RBBGID = b.RBBGID inner join ReportConfigToRBBGMapping AS c on c.RBBGID = b.RBBGID inner join ReportConfig AS d on d.REPORTID = c.REPORTID where d.REPORTTYPE='FW_SEARCH';
delete a.* from ReportBuildingBlockParams_7400 AS a inner join ReportBuildingBlock AS b on b.RBBNAME=a.RBBNAME inner join ReportBuildingBlockGroup AS c on c.RBBGID = b.RBBGID inner join ReportConfigToRBBGMapping AS d on d.RBBGID = c.RBBGID inner join ReportConfig AS e on e.REPORTID = d.REPORTID where e.REPORTTYPE='FW_SEARCH';
#delete from RBBGraphOptions_7400 where (RBBGraphOptions_7400.RBBNAME like "% Table%" or RBBGraphOptions_7400.RBBNAME like "%Graph%" or RBBGraphOptions_7400.RBBNAME like "%_anomaly") and (RBBGraphOptions_7400.RBBNAME NOT like "Event Distribution Graph");


insert into ReportBuildingBlock_7400 (RBBNAME,SQLSTRING,RBBGID,DISPLAYTYPE,HANDLER,TITLE,DESCRIPTION,JASPERNAME,ORDERID,SQLTYPE) select ReportBuildingBlock.RBBNAME,ReportBuildingBlock.SQLSTRING,ReportBuildingBlock.RBBGID,ReportBuildingBlock.DISPLAYTYPE,ReportBuildingBlock.HANDLER,ReportBuildingBlock.TITLE,ReportBuildingBlock.DESCRIPTION,ReportBuildingBlock.JASPERNAME,ReportBuildingBlock.ORDERID,ReportBuildingBlock.SQLTYPE from ReportBuildingBlock inner join ReportBuildingBlockGroup on ReportBuildingBlock.RBBGID=ReportBuildingBlockGroup.RBBGID where (ReportBuildingBlock.RBBNAME like "% Table%" or ReportBuildingBlock.RBBNAME like "% Graph%" or ReportBuildingBlock.RBBNAME like "%_anomaly") and (ReportBuildingBlock.RBBNAME NOT like "Event Distribution Graph");
insert into ReportBuildingBlock_7400 (RBBNAME,SQLSTRING,RBBGID,DISPLAYTYPE,HANDLER,TITLE,DESCRIPTION,JASPERNAME,ORDERID,SQLTYPE) select ReportBuildingBlock.RBBNAME,ReportBuildingBlock.SQLSTRING,ReportBuildingBlock.RBBGID,ReportBuildingBlock.DISPLAYTYPE,ReportBuildingBlock.HANDLER,ReportBuildingBlock.TITLE,ReportBuildingBlock.DESCRIPTION,ReportBuildingBlock.JASPERNAME,ReportBuildingBlock.ORDERID,ReportBuildingBlock.SQLTYPE from ReportBuildingBlock inner join ReportBuildingBlockGroup on ReportBuildingBlock.RBBGID = ReportBuildingBlockGroup.RBBGID inner join ReportConfigToRBBGMapping on ReportConfigToRBBGMapping.RBBGID = ReportBuildingBlockGroup.RBBGID inner join ReportConfig on ReportConfig.REPORTID = ReportConfigToRBBGMapping.REPORTID where ReportConfig.REPORTTYPE='FW_SEARCH';


#### ReportBuildingBlockParams  table handling
drop table if exists ReportBuildingBlockParams_Temp;
create table ReportBuildingBlockParams_Temp like ReportBuildingBlockParams;
alter table ReportBuildingBlockParams_Temp modify RBBPID bigint(19) AUTO_INCREMENT;
insert into ReportBuildingBlockParams_Temp (RBBNAME,PARAMSQL) select RBBNAME,PARAMSQL from ReportBuildingBlockParams_7400;
insert into ReportBuildingBlockParams_Temp (RBBNAME,PARAMSQL) select ReportBuildingBlockParams.RBBNAME,ReportBuildingBlockParams.PARAMSQL from ReportBuildingBlockParams inner join ReportBuildingBlock on ReportBuildingBlock.RBBNAME=ReportBuildingBlockParams.RBBNAME inner join ReportBuildingBlockGroup on ReportBuildingBlockGroup.RBBGID = ReportBuildingBlock.RBBGID inner join ReportConfigToRBBGMapping on ReportConfigToRBBGMapping.RBBGID = ReportBuildingBlockGroup.RBBGID inner join ReportConfig on ReportConfig.REPORTID = ReportConfigToRBBGMapping.REPORTID where ReportConfig.REPORTTYPE='FW_SEARCH';
alter table ReportBuildingBlockParams_Temp MODIFY RBBPID bigint(19) NOT NULL;


set foreign_key_checks=0;
drop table if exists ReportBuildingBlock;
RENAME table ReportBuildingBlock_7400 To ReportBuildingBlock;
drop table if exists ReportBuildingBlockParams;
RENAME table ReportBuildingBlockParams_Temp To ReportBuildingBlockParams;
drop table if exists ReportBuildingBlockParams_7400;
drop table if exists ReportBuildingBlockColumn;
RENAME table ReportBuildingBlockColumn_7400 To ReportBuildingBlockColumn;
drop table if exists RBBGraphOptions;
RENAME table RBBGraphOptions_7400 To RBBGraphOptions;
set foreign_key_checks=1;

