@echo off
rem set the common environment properties
cd ..
set HOME_DIR=%CD%
set JAVA_HOME=%HOME_DIR%\jre

set JAVA=%JAVA_HOME%\bin\java

set JAVAC_JAR=%JAVA_HOME%\lib\tools.jar

set CHERRY_HOME=%HOME_DIR%\conf\server.xml

rem set the Driver classpth
set DRIVER_CLASSES=%HOME_DIR%\lib\mysql_connector.jar;%HOME_DIR%\lib\jtds-1.2.jar;%HOME_DIR%\lib\postgresql_jdbc3.jar;%HOME_DIR%\lib\postgresql_jdbc4.jar

echo ========================================================
echo .
echo Usage : changeDBServer.bat --console  [for non GUI user]
echo Usage : changeDBServer.bat            [for GUI user]
echo .
echo =======================================================

rem set the Util classpth
set UTIL_CLASS_PATH=%DRIVER_CLASSES%;%HOME_DIR%\lib\LAClientUtil.jar;%HOME_DIR%\lib\AdventNetUpdateManagerInstaller.jar;%HOME_DIR%\lib\HTTPClient.jar

goto SERVERSTATUS

rem -------------------------------------------------------------------------
rem check the server status
rem -------------------------------------------------------------------------

:SERVERSTATUS
set ERRORLEVEL=
%JAVA% -DContext=fw -Dserver.home=%HOME_DIR% -cp %UTIL_CLASS_PATH% com.adventnet.la.util.LAClientUtil %CHERRY_HOME% 1
set e=%ERRORLEVEL%
if %e% EQU -2  goto CHANGEDB
goto ERRMSG

rem -------------------------------------------------------------------------
rem change Database server configurations
rem -------------------------------------------------------------------------

:CHANGEDB

%JAVA% -DContext=fw -Dserver.home=%HOME_DIR% -cp %UTIL_CLASS_PATH% com.adventnet.la.tools.ChangeDBServer %*
goto FINISH

:ERRMSG
echo Firewall Analyzer Server is running. Please shutdown the Firewall Analyzer Server and try again
goto FINISH

:FINISH

cd tools
