@rem Please set your Java path here.set
@echo off
rem set JAVA_HOME=C:\j2sdk1.4.2.03


rem <------- Execute setCommonEnv.bat--------->
cd ..
set SERVER_HOME=%~dp0%\.
cd bin
call .\setCommonEnv.bat
cd ..
if NOT EXIST "%JAVA_HOME%\bin\java.exe" echo "Please set the JAVA_HOME parameter in" %0
if NOT EXIST "%JAVA_HOME%\bin\java.exe" goto FINISH



rem <------- Server Running Status Check--------->
set errmsg="Firewall Analyzer is running. Please ensure that Firewall Analyzer Server is shutdown before applying the Service Pack."
set CHERRY_HOME=.\conf\server.xml
set UTIL_CLASSPATH=.\lib\LAClientUtil.jar;.\lib\HTTPClient.jar
set JAVA=%JAVA_HOME%\bin\java

set ERRORLEVEL=
%JAVA% -DContext=fw -Dserver.home=%SERVER_HOME% -cp %UTIL_CLASSPATH% com.adventnet.la.util.LAClientUtil %CHERRY_HOME% 1
set e=%ERRORLEVEL%
if %e% NEQ -2  goto ERRMSG



rem <------- Jar File modifications --------->
cd lib
if NOT EXIST AdventNetUpdateManagerInstaller.jar_new goto start
copy AdventNetUpdateManagerInstaller.jar_new AdventNetUpdateManagerInstaller.jar
del AdventNetUpdateManagerInstaller.jar_new



rem <------- Execute UpdateManager --------->
:start
cd ..

set PATH=%PATH%;".\lib\native"
set CLASSPATH=.\lib\AdventNetUpdateManagerInstaller.jar
set JAVA_COMPILER=NONE
set JAVA_OPTS=-Ddb.home="%DB_HOME%"

"%JAVA_HOME%\bin\java" -Xmx100m  %JAVA_OPTS% -Dtier-type=BE -Djava.library.path=.\lib\native -Dtier-id=BE1 com.adventnet.tools.update.installer.UpdateManager -u conf %*


cd bin
goto FINISH

rem -------------------------------------------------------------------------
rem Server Running Error Message
rem ------------------------------------------------------------------------
:ERRMSG
echo %errmsg%
cd bin
goto FINISH

:FINISH
