@ echo off
rem $Id$
rem batch file for starting mysqld

set DB_PORT=%1

if NOT "%DB_PORT%x" ==  "x" goto start 

set /P input="Database is automatically started by the server. This is only for troubleshooting. Do you still want to continue (y/n)?"

if "%input%" NEQ "y" goto STOP


:start
set SERVER_HOME=%~dp0%\..
set DB_HOME=%SERVER_HOME%\mysql

if "%DB_PORT%x" == "x" set DB_PORT=33336


rem <-------------------- MYSQL Start Command Block -------------------->
rem INSTRUCTIONS:
rem ------------
rem FOR BINDING THE APPLICATION TO SINGLE INTERFACE, uncomment the below start command and replace <ip-address> with the ip-address to which you wants to bind the application and comment all other start commands.

rem @start "MySQL" /B %DB_HOME%\bin\mysqld-nt  --no-defaults --standalone  --basedir="%DB_HOME%" --port=%DB_PORT% --datadir="%DB_HOME%\data"  --innodb_buffer_pool_size=180M --key-buffer-size=32M --innodb_file_per_table --max_heap_table_size=32M --tmp_table_size=40M --innodb_flush_log_at_trx_commit=0 --log-error --table-cache=256 --bind-address=<ip-address>


rem default
@start "MySQL" /B %DB_HOME%\bin\mysqld-nt  --no-defaults  --standalone  --basedir="%DB_HOME%" --port=%DB_PORT% --datadir="%DB_HOME%\data"  --innodb_buffer_pool_size=180M --key-buffer-size=32M --innodb_file_per_table --max_heap_table_size=32M --tmp_table_size=40M --innodb_flush_log_at_trx_commit=0 --log-error --table-cache=256


rem for ONE GB RAM
rem @start "MySQL" /B %DB_HOME%\bin\mysqld-nt  --no-defaults --standalone  --basedir="%DB_HOME%" --port=%DB_PORT% --datadir="%DB_HOME%\data"  --innodb_buffer_pool_size=300M --key-buffer-size=150M --innodb_file_per_table --max_heap_table_size=150M --tmp_table_size=100M --innodb_flush_log_at_trx_commit=0 --log-error --table-cache=512


rem for TWO GB RAM AND ABOVE
rem @start "MySQL" /B %DB_HOME%\bin\mysqld-nt  --no-defaults --standalone  --basedir="%DB_HOME%" --port=%DB_PORT% --datadir="%DB_HOME%\data"  --innodb_buffer_pool_size=900M --key-buffer-size=600M --innodb_file_per_table --max_heap_table_size=350M --tmp_table_size=100M --innodb_flush_log_at_trx_commit=0 --log-error --table-cache=512

:STOP


