#!/bin/sh
### ====================================================================== ###
##                                                                          ##
## stopDB.sh  MYSQL_HOME HOST MYSQL_PORT USERNAME [root] <PASSWORD>         ##
##                                                                          ##
### ====================================================================== ###

#DB_HOME=$1
DIRNAME=`dirname $0`
DB_PORT=$1
USER_NAME=$2
TMP_HOME=$3
PASSWORD=$4

. $DIRNAME/setCommonEnv.sh

if [ -z "$DB_HOME" ]
then
    DB_HOME=../mysql
fi
if [ -z "$DB_PORT" ]
then
    DB_PORT=33336
fi
if [ -z "$TMP_HOME" ]
then
    TMP_HOME=../mysql/tmp/
fi
if [ -z "$USER_NAME" ]
then
    USER_NAME=root
fi

TMP_HOME=$TMP_HOME/mysql.sock

# <------------- command Arguments settings block ------------------>
# INSRUCTIONS:
# ------------
# FOR BINDING THE APPLICATION TO SINGLE INTERFACE, uncomment the below command arguments setting command and replace <ip-address> with the ip-address to which you wants to bind the application and comment the existing command arguments setting command.

#commandArgs="-S $TMP_HOME -P $DB_PORT -u $USER_NAME -h <ip-address>"

commandArgs="-S $TMP_HOME -P $DB_PORT -u $USER_NAME"

if [ -n "$PASSWORD" ]
then
     commandArgs="$commandArgs -p $PASSWORD"
fi

$DB_HOME/bin/mysqladmin $commandArgs shutdown

