delete from SystemConfigurations where CONF_NAME='regenerateSQL';

####### DROP old build Custom, Search profiles Handling ##################

delete from ReportBuildingBlockGroup where RBBGNAME IN('Proxy Virus Drill Down','Security View Squid Drill and Others','Squid Security report view');
delete from ReportBuildingBlock_7400 where (ReportBuildingBlock_7400.RBBNAME like '% Table%' or ReportBuildingBlock_7400.RBBNAME like '% Graph%' or ReportBuildingBlock_7400.RBBNAME like '%_anomaly') and (ReportBuildingBlock_7400.RBBNAME NOT like 'Event Distribution Graph');
delete from ReportBuildingBlock_7400 where ReportBuildingBlock_7400.RBBGID IN (select ReportBuildingBlockGroup.RBBGID from ReportBuildingBlockGroup inner join ReportConfigToRBBGMapping on ReportBuildingBlockGroup.RBBGID = ReportConfigToRBBGMapping.RBBGID inner join ReportConfig on ReportConfig.REPORTID = ReportConfigToRBBGMapping.REPORTID where ReportConfig.REPORTTYPE='FW_SEARCH');
delete from ReportBuildingBlockParams_7400 where ReportBuildingBlockParams_7400.RBBNAME IN(select ReportBuildingBlock.RBBNAME from ReportBuildingBlock inner join ReportBuildingBlockGroup on ReportBuildingBlock.RBBGID = ReportBuildingBlockGroup.RBBGID inner join ReportConfigToRBBGMapping on ReportBuildingBlockGroup.RBBGID = ReportConfigToRBBGMapping.RBBGID inner join ReportConfig on ReportConfigToRBBGMapping.REPORTID = ReportConfig.REPORTID where ReportConfig.REPORTTYPE='FW_SEARCH');
#delete from RBBGraphOptions_7400 where (RBBGraphOptions_7400.RBBNAME like '% Table%' or RBBGraphOptions_7400.RBBNAME like '%Graph%' or RBBGraphOptions_7400.RBBNAME like '%_anomaly') and (RBBGraphOptions_7400.RBBNAME NOT like 'Event Distribution Graph' AND RBBGraphOptions_7400.RBBNAME NOT like 'MRResourceProtocolsGraph');


####### INSERT NEW Custom, Search profiles ##################

insert into ReportBuildingBlock_7400 (RBBNAME,SQLSTRING,RBBGID,DISPLAYTYPE,HANDLER,TITLE,DESCRIPTION,JASPERNAME,ORDERID,SQLTYPE) select ReportBuildingBlock.RBBNAME,ReportBuildingBlock.SQLSTRING,ReportBuildingBlock.RBBGID,ReportBuildingBlock.DISPLAYTYPE,ReportBuildingBlock.HANDLER,ReportBuildingBlock.TITLE,ReportBuildingBlock.DESCRIPTION,ReportBuildingBlock.JASPERNAME,ReportBuildingBlock.ORDERID,ReportBuildingBlock.SQLTYPE from ReportBuildingBlock inner join ReportBuildingBlockGroup on ReportBuildingBlock.RBBGID=ReportBuildingBlockGroup.RBBGID where (ReportBuildingBlock.RBBNAME like '% Table%' or ReportBuildingBlock.RBBNAME like '% Graph%' or ReportBuildingBlock.RBBNAME like '%_anomaly') and (ReportBuildingBlock.RBBNAME NOT like 'Event Distribution Graph');
insert into ReportBuildingBlock_7400 (RBBNAME,SQLSTRING,RBBGID,DISPLAYTYPE,HANDLER,TITLE,DESCRIPTION,JASPERNAME,ORDERID,SQLTYPE) select ReportBuildingBlock.RBBNAME,ReportBuildingBlock.SQLSTRING,ReportBuildingBlock.RBBGID,ReportBuildingBlock.DISPLAYTYPE,ReportBuildingBlock.HANDLER,ReportBuildingBlock.TITLE,ReportBuildingBlock.DESCRIPTION,ReportBuildingBlock.JASPERNAME,ReportBuildingBlock.ORDERID,ReportBuildingBlock.SQLTYPE from ReportBuildingBlock inner join ReportBuildingBlockGroup on ReportBuildingBlock.RBBGID = ReportBuildingBlockGroup.RBBGID inner join ReportConfigToRBBGMapping on ReportConfigToRBBGMapping.RBBGID = ReportBuildingBlockGroup.RBBGID inner join ReportConfig on ReportConfig.REPORTID = ReportConfigToRBBGMapping.REPORTID where ReportConfig.REPORTTYPE='FW_SEARCH';

IF EXISTS(SELECT * FROM sysobjects WHERE name='ReportBuildingBlockParams_Temp') DROP TABLE ReportBuildingBlockParams_Temp;
CREATE TABLE ReportBuildingBlockParams_Temp ( "RBBPID" bigint DEFAULT NULL, "RBBNAME" nvarchar(250) NOT NULL, "PARAMSQL" ntext);
insert into ReportBuildingBlockParams_Temp (RBBNAME, PARAMSQL) select RBBNAME,PARAMSQL from ReportBuildingBlockParams_7400; 
insert into ReportBuildingBlockParams_Temp (RBBNAME,PARAMSQL) select ReportBuildingBlockParams.RBBNAME,ReportBuildingBlockParams.PARAMSQL from ReportBuildingBlockParams inner join ReportBuildingBlock on ReportBuildingBlock.RBBNAME=ReportBuildingBlockParams.RBBNAME inner join ReportBuildingBlockGroup on ReportBuildingBlockGroup.RBBGID = ReportBuildingBlock.RBBGID inner join ReportConfigToRBBGMapping on ReportConfigToRBBGMapping.RBBGID = ReportBuildingBlockGroup.RBBGID inner join ReportConfig on ReportConfig.REPORTID = ReportConfigToRBBGMapping.REPORTID where ReportConfig.REPORTTYPE='FW_SEARCH';
alter table ReportBuildingBlockParams_Temp ADD TEMPID bigint IDENTITY NOT NULL;
update ReportBuildingBlockParams_Temp SET RBBPID=TEMPID;
alter table ReportBuildingBlockParams_Temp DROP COLUMN TEMPID;


########### All Time Need Queries with BUILD-NUMBER change ####### 

######### DROP CONSTRAINTs ########################
ALTER TABLE ReportBuildingBlock DROP CONSTRAINT ReportBuildingBlock_FK1;
ALTER TABLE ReportBuildingBlockParams DROP CONSTRAINT ReportBuildingBlockParams_FK1;
ALTER TABLE ReportBuildingBlockColumn DROP CONSTRAINT ReportBuildingBlockColumn_FK;
ALTER TABLE RBBGraphOptions DROP CONSTRAINT RBBGraphOptions_FK1;
ALTER TABLE RBBGraphOptions DROP CONSTRAINT RBBGraphOptions_FK2;
ALTER TABLE RBBColumnOptions DROP CONSTRAINT RBBColumnOptions_FK;
ALTER TABLE ReportConfigToRBBMapping DROP CONSTRAINT ReportConfigToRBB_FK2;
ALTER TABLE ReportConfigToRBBPMapping DROP CONSTRAINT ReportConfigToRBBP_FK2;
ALTER TABLE AFToRBB DROP CONSTRAINT AFToRBB_FK2;


######### SWAP RBB FROM BACKUP TABLEs ########################
IF EXISTS(SELECT * FROM sysobjects WHERE name='ReportBuildingBlock') TRUNCATE TABLE ReportBuildingBlock;
INSERT INTO ReportBuildingBlock SELECT * FROM ReportBuildingBlock_7400;
IF EXISTS(SELECT * FROM sysobjects WHERE name='ReportBuildingBlock_7400') DROP TABLE ReportBuildingBlock_7400;


IF EXISTS(SELECT * FROM sysobjects WHERE name='ReportBuildingBlockParams') TRUNCATE TABLE ReportBuildingBlockParams;
INSERT INTO ReportBuildingBlockParams SELECT * FROM ReportBuildingBlockParams_Temp;
IF EXISTS(SELECT * FROM sysobjects WHERE name='ReportBuildingBlockParams_7400') DROP TABLE ReportBuildingBlockParams_7400;
IF EXISTS(SELECT * FROM sysobjects WHERE name='ReportBuildingBlockParams_Temp') DROP TABLE ReportBuildingBlockParams_Temp;


IF EXISTS(SELECT * FROM sysobjects WHERE name='ReportBuildingBlockColumn') TRUNCATE TABLE ReportBuildingBlockColumn;
INSERT INTO ReportBuildingBlockColumn SELECT * FROM ReportBuildingBlockColumn_7400;
IF EXISTS(SELECT * FROM sysobjects WHERE name='ReportBuildingBlockColumn_7400') DROP TABLE ReportBuildingBlockColumn_7400;


IF EXISTS(SELECT * FROM sysobjects WHERE name='RBBGraphOptions') TRUNCATE TABLE RBBGraphOptions;
INSERT INTO RBBGraphOptions SELECT * FROM RBBGraphOptions_7400;
IF EXISTS(SELECT * FROM sysobjects WHERE name='RBBGraphOptions_7400') DROP TABLE RBBGraphOptions_7400;


######### Extra entries handling ##########	
delete from RBBGraphOptions where RBBNAME NOT IN (select RBBNAME from ReportBuildingBlock);
delete from RBBColumnOptions where RBBCID NOT IN (select RBBCID from ReportBuildingBlockColumn);
delete from ReportConfigToRBBMapping where RBBNAME NOT IN (select RBBNAME from ReportBuildingBlock);


######### DROP TRIGGERs ########################
IF EXISTS(SELECT name FROM sysobjects WHERE name='ReportBuildingBlock_Trigger' AND type = 'TR') DROP TRIGGER ReportBuildingBlock_Trigger;
IF EXISTS(SELECT name FROM sysobjects WHERE name='ReportBuildingBlock_ReportBuildingBlock_UK0' AND type = 'TR') DROP TRIGGER ReportBuildingBlock_ReportBuildingBlock_UK0;
IF EXISTS(SELECT name FROM sysobjects WHERE name='ReportBuildingBlockColumn_Trigger' AND type = 'TR') DROP TRIGGER ReportBuildingBlockColumn_Trigger;
IF EXISTS(SELECT name FROM sysobjects WHERE name='RBBColumnOptions_RBBColumnOptions_UK0' AND type = 'TR') DROP TRIGGER RBBColumnOptions_RBBColumnOptions_UK0;



######### RECREATE CONSTRAINTs ##################
ALTER TABLE ReportBuildingBlock ADD CONSTRAINT ReportBuildingBlock_FK1 FOREIGN KEY (RBBGID) REFERENCES ReportBuildingBlockGroup (RBBGID) ON DELETE CASCADE;
ALTER TABLE ReportConfigToRBBMapping ADD CONSTRAINT ReportConfigToRBB_FK2 FOREIGN KEY (RBBNAME) REFERENCES ReportBuildingBlock (RBBNAME) ON DELETE CASCADE;
ALTER TABLE ReportConfigToRBBPMapping ADD CONSTRAINT ReportConfigToRBBP_FK2 FOREIGN KEY (RBBNAME) REFERENCES ReportBuildingBlock (RBBNAME) ON DELETE CASCADE;
ALTER TABLE ReportBuildingBlockParams ADD CONSTRAINT ReportBuildingBlockParams_FK1 FOREIGN KEY (RBBNAME) REFERENCES ReportBuildingBlock (RBBNAME) ON DELETE CASCADE;
ALTER TABLE ReportBuildingBlockColumn ADD CONSTRAINT ReportBuildingBlockColumn_FK FOREIGN KEY (RBBNAME) REFERENCES ReportBuildingBlock (RBBNAME) ON DELETE CASCADE;
ALTER TABLE RBBGraphOptions ADD CONSTRAINT RBBGraphOptions_FK1 FOREIGN KEY (RBBNAME) REFERENCES ReportBuildingBlock (RBBNAME) ON DELETE CASCADE;
ALTER TABLE RBBGraphOptions ADD CONSTRAINT RBBGraphOptions_FK2 FOREIGN KEY (LINKINGRBBNAME) REFERENCES ReportBuildingBlock (RBBNAME) ON DELETE NO ACTION;
ALTER TABLE RBBColumnOptions ADD CONSTRAINT RBBColumnOptions_FK FOREIGN KEY (RBBCID) REFERENCES ReportBuildingBlockColumn (RBBCID) ON DELETE CASCADE;
ALTER TABLE AFToRBB ADD CONSTRAINT AFToRBB_FK2 FOREIGN KEY (RBBNAME) REFERENCES ReportBuildingBlock (RBBNAME) ON DELETE CASCADE;



######### RECREATE TRIGGERs #####################
CREATE TRIGGER ReportBuildingBlock_Trigger ON ReportBuildingBlock FOR delete AS BEGIN delete FROM ReportBuildingBlockParams WHERE RBBNAME IN (select RBBNAME FROM DELETED) delete FROM RBBGraphOptions WHERE RBBNAME IN (select RBBNAME FROM DELETED) delete FROM RBBGraphOptions WHERE LINKINGRBBNAME IN (select RBBNAME FROM DELETED) delete FROM ReportBuildingBlockColumn WHERE RBBNAME IN (select RBBNAME FROM DELETED) delete FROM ReportConfigToRBBPMapping WHERE RBBNAME IN (select RBBNAME FROM DELETED) delete FROM ReportConfigToRBBMapping WHERE RBBNAME IN (select RBBNAME FROM DELETED) delete FROM AFToRBB WHERE RBBNAME IN (select RBBNAME FROM DELETED) delete FROM ReportBuildingBlock WHERE RBBNAME IN (select RBBNAME FROM DELETED) END;

CREATE TRIGGER ReportBuildingBlock_ReportBuildingBlock_UK0 ON ReportBuildingBlock  FOR UPDATE,INSERT AS IF EXISTS (SELECT * FROM Inserted AS I JOIN ReportBuildingBlock AS S ON I.ORDERID= S.ORDERID AND NOT( ( I.RBBNAME = S.RBBNAME))) BEGIN ROLLBACK TRAN RAISERROR('Duplicate values not permitted',16,1) END;

CREATE TRIGGER ReportBuildingBlockColumn_Trigger on ReportBuildingBlockColumn FOR DELETE AS BEGIN DELETE FROM RBBColumnOptions WHERE RBBCID IN (select RBBCID FROM DELETED) delete FROM ReportBuildingBlockColumn WHERE RBBCID IN (select RBBCID FROM DELETED) END;

CREATE TRIGGER RBBColumnOptions_RBBColumnOptions_UK0 ON RBBColumnOptions FOR UPDATE,INSERT AS IF EXISTS (SELECT * FROM Inserted AS I JOIN RBBColumnOptions AS S ON I.ORDERID= S.ORDERID AND NOT( ( I.RBBCID = S.RBBCID) AND  ( I.VALUE = S.VALUE))) BEGIN ROLLBACK TRAN RAISERROR('Duplicate values not permitted',16,1) END;

