@ echo off
rem $Id$
rem set the common environment properties
cd ..
set HOME_DIR=%CD%
set JAVA_HOME=%HOME_DIR%\jre

set JAVA=%JAVA_HOME%\bin\java

set CHERRY_HOME=%HOME_DIR%\conf\server.xml

set DRIVER_CLASSES=%HOME_DIR%\lib\mysql_connector.jar;%HOME_DIR%\lib\jtds-1.2.jar

set CLASS_PATH=%DRIVER_CLASSES%;%HOME_DIR%\lib\AdvPersistence.jar;%HOME_DIR%\lib\run.jar;%HOME_DIR%\lib\framework-tools.jar;%HOME_DIR%\lib\jboss-jca.jar;%HOME_DIR%\lib\jboss-compressed.jar;%HOME_DIR%\lib\jboss-common-jdbc-wrapper.jar;%HOME_DIR%\lib\concurrent.jar;%HOME_DIR%\lib\jboss-transaction.jar;%HOME_DIR%\jre\lib\rt.jar;%HOME_DIR%\lib\HTTPClient.jar;%HOME_DIR%\lib\jboss-j2ee.jar;%HOME_DIR%\lib\LogAnalyzerServer.jar;%HOME_DIR%\lib\LAClientUtil.jar;%HOME_DIR%\lib\AdventNetInstallUtil.jar;%HOME_DIR%\lib\mickey3.jar

set JAVA_OPTS=-Ddb.home=%HOME_DIR%\mysql

set JAVA_OPTS=%JAVA_OPTS% -DseparateJVM=true -Dserver.home=%HOME_DIR% -Dfile.encoding=utf8

echo ************************************************************
echo 		BackUp Database setup wizard
echo ************************************************************
@echo.
@echo.
echo USAGE: backUpDatabase.bat [Complete path for backup directory]
@echo.
@echo.

rem -------------------------------------------------------------------------
rem check the server status
rem -------------------------------------------------------------------------

if ""%1 NEQ "" goto SERVERSTATUS 
@echo.
set /P input="Database backup will be taken in the default path '%HOME_DIR%\backup'. Do you still want to continue (y/n)?"
if "%input%" EQU "n" goto FINISH

goto SERVERSTATUS

:SERVERSTATUS
call .\troubleshooting\serverStatus.bat
set e=%ERRORLEVEL%
if %e% EQU -2  goto BackupDatabase
goto FINISH


rem -------------------------------------------------------------------------
rem Backup Database
rem -------------------------------------------------------------------------

:BackupDatabase

%JAVA% %JAVA_OPTS% -Xms128m -Xmx512m -Dtier-type=BE -Dtier-id=BE1 -DbackupDir=%1\backup -cp "%CLASS_PATH%" com.adventnet.la.tools.BackUp
goto FINISH

:FINISH

cd tools
