
DIRNAME=`dirname $0`

HOME_DIR=$DIRNAME/..

export HOME_DIR

JAVA_HOME=$HOME_DIR/jre

export JAVA_HOME

JAVA=$JAVA_HOME/bin/java

export JAVA

JAVAC_JAR=$JAVA_HOME/lib/tools.jar

export JAVAC_JAR

CHERRY_HOME=$HOME_DIR/conf/server.xml

export CHERRY_HOME

echo $CHERRY_HOME
JAVA_OPTS="-Dserver.home=$HOME_DIR -DContext=fw -Deventlog.backupDir=/backup"

export JAVA_OPTS

DRIVER_CLASSES=$HOME_DIR/lib/mysql_connector.jar:$HOME_DIR/lib/jtds-1.2.jar:$HOME_DIR/lib/postgresql_jdbc3.jar

export DRIVER_CLASSES


echo ========================================================
echo .
echo Usage : changeDBServer.bat --console  [for non GUI user]
echo Usage : changeDBServer.bat            [for GUI user]
echo .
echo =======================================================


CLASS_PATH=$DRIVER_CLASSES:$HOME_DIR/lib/LAClientUtil.jar:$HOME_DIR/lib/AdventNetUpdateManagerInstaller.jar:$HOME_DIR/lib/HTTPClient.jar
export CLASSPATH

$JAVA $JAVA_OPTS -cp $CLASS_PATH com.adventnet.la.util.LAClientUtil $CHERRY_HOME 1

	if [ $? -ne 254 ]
	then
		echo "Firewall Analyzer Server is running. Please shutdown Firewall Analyzer Server and try again."

	fi



echo $CLASS_PATH
$JAVA $JAVA_OPTS -cp $CLASS_PATH com.adventnet.la.tools.ChangeDBServer $*



